#include "fonts.h"
#include <strings.h>
#include "str2x.h"
#include <SDL.h>
#include "mapkey.h"
#include "misc.h"
#include "soundBank.h"

#ifndef MENUH
#define MENUH
#define MAX_ENTRIES 5
#define TITLE_SIZE 20
#define ENTRY_SIZE 20

class MENU
{
	public:
		MENU();
		MENU(SDL_Surface * surface, FONT * font, char * t, char * inactive, char * active);
		~MENU();
		int addEntry(char * e);
		int displayMenu(Uint16 x, Uint16 y);
		void drawBullets();
		void setEntry(int en, char * e);
		void recalcWidth();
		
	private:
		int choice;
		char title[TITLE_SIZE];
		SDL_Surface * inactiveBullet;
		SDL_Surface * activeBullet;
		SDL_Surface * screen;
		FONT * menuFont;
		int maxWidth;
		Uint16 bulletsX;
		Uint16 bulletsY;
		int entryCount;
		char entries[MAX_ENTRIES][30];
};

#endif
