#include "fonts.h"
#include <strings.h>
#include <iostream>
#include "str2x.h"
#include <SDL.h>
#include "mapkey.h"
#include "misc.h"


#ifndef HIGHSCOREH
#define HIGHSCOREH
#define HIGHSCORE_MAX_ENTRIES 10
#define HIGHSCORE_TITLE_SIZE 30
#define HIGHSCORE_ENTRY_SIZE 3
#define FLASH_SPEED 200

class HIGHSCORE
{
	public:
		HIGHSCORE();
		HIGHSCORE(SDL_Surface * surface, FONT * font, char * t);
		~HIGHSCORE();
		int addScore(Uint16 s);
		void displayScores(Uint16 x, Uint16 y);
		void loadScores(char * file);
		void saveScores(char * file);
		void getInitials(int i, Uint16 x, Uint16 y);
		
	private:
		char title[HIGHSCORE_TITLE_SIZE];
		char names[HIGHSCORE_MAX_ENTRIES][HIGHSCORE_ENTRY_SIZE];
		Uint16 scores[HIGHSCORE_MAX_ENTRIES];
		SDL_Surface * screen;
		FONT * highScoreFont;
		int maxWidth;
};

#endif
