#include "message.h"

MESSAGE::MESSAGE()
{
}

MESSAGE::MESSAGE(SDL_Surface * surface, FONT * font, char * t)
{
	entryCount=0;
	strncpy(title, t, MESSAGE_TITLE_SIZE);
	title[MESSAGE_TITLE_SIZE]='\0';
	maxWidth=strlen(title);
	messageFont=font;
	screen=surface;
}

MESSAGE::~MESSAGE()
{
}

int MESSAGE::addLine(char * e)
{
	if(entryCount<MESSAGE_MAX_ENTRIES)
	{
		strncpy(entries[++entryCount], e, MESSAGE_ENTRY_SIZE);
		entries[entryCount][MESSAGE_ENTRY_SIZE]='\0';
		if(strlen(entries[entryCount])>maxWidth)
			maxWidth=strlen(entries[entryCount]);
		return 1;
	}
	else
	{
		return 0;
	}
}

void MESSAGE::displayMessage(Uint16 x, Uint16 y)
{
	SDL_Rect rect;
		
	/* Draw the menu border and background */
	rect.x = x;
	rect.y = y;
	rect.w = 18+(messageFont->getFontWidth()*(maxWidth+1));
	if(strlen(title))
		rect.h = 18+(messageFont->getFontHeight()*(entryCount+1));
	else
		rect.h = 18+(messageFont->getFontHeight()*(entryCount));
	drawBorder(screen, rect.x, rect.y, rect.w, rect.h);
	
	/* Display the title */
	x+=8;
	y+=8;
	if(strlen(title))
		messageFont->drawText(screen, x, y, title);
	
	SDL_Rect src;
	src.x=0;
	src.y=0;
	src.w=16;
	src.h=16;
	
	/* nudge the options down a little. */
	if(strlen(title))
		y+=messageFont->getFontHeight();
		
	for(int i=1; i<=entryCount; i++)
	{
		messageFont->drawText(screen, x, y, entries[i]);
		y+=messageFont->getFontHeight();
	}
	
	SDL_Flip(screen);
	
	waitButtonPress();
}
