#include "misc.h"

void waitButtonPress()
{
	int done = 0;
	while (!done)
	{
		SDL_Event event;
		/* Check for events */
		while (SDL_PollEvent (&event))
		{
			switch (event.type)
			{
				case SDL_KEYDOWN:
					/* if press Ctrl + C, terminate program */
					if ( (event.key.keysym.sym == SDLK_c) && (event.key.keysym.mod & (KMOD_LCTRL | KMOD_RCTRL)) )
						done = 1;
					if(event.key.keysym.sym == SDLK_SPACE)
						done=1;
					break;
					
				case SDL_KEYUP:
					break;

				case SDL_JOYBUTTONDOWN:
					/* if press Start button, terminate program */
					if(( event.jbutton.button == VK_START )||( event.jbutton.button == VK_FA )||
					   ( event.jbutton.button == VK_FB )||( event.jbutton.button == VK_FX )||
						 ( event.jbutton.button == VK_FY ))
						done = 1;
					break;
				case SDL_JOYBUTTONUP:
					break;
				case SDL_QUIT:
					done = 1;
					break;
				default:
					break;
			}
		}
	}
}

void drawBorder(SDL_Surface * screen, Uint16 x, Uint16 y, Uint16 w, Uint16 h)
{
	SDL_Rect rect;
	
	rect.x=x;
	rect.y=y;
	rect.w=w;
	rect.h=h;
	
	SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format, 0, 0, 150));


	rect.x+=2;
	rect.y+=2;
	rect.w-=4;
	rect.h-=4;
	SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format, 0, 0, 255));

	rect.x+=2;
	rect.y+=2;
	rect.w-=4;
	rect.h-=4;
	SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format, 0, 0, 150));
	
	rect.x+=2;
	rect.y+=2;
	rect.w-=4;
	rect.h-=4;
	SDL_FillRect(screen, &rect, SDL_MapRGB(screen->format, 0, 0, 0));
}
