#include "soundBank.h"

SOUNDBANK::SOUNDBANK()
{
	lastSound=0;
	mute=0;
}

SOUNDBANK::~SOUNDBANK()
{
	
	while(Mix_Playing(0) != 0);
	while(Mix_Playing(1) != 0);

	for(int i=0; i<lastSound; i++)
	{
		Mix_FreeChunk(sounds[i]);
	}
	Mix_CloseAudio();
}

int SOUNDBANK::soundMuted()
{
	return mute;
}

void SOUNDBANK::muteSound()
{
	mute=1;	
}

void SOUNDBANK::unmuteSound()
{
	mute=0;
}

int SOUNDBANK::loadSound(char * sound)
{
	fprintf(stderr, "loading %s\n", sound);
	sounds[lastSound] = Mix_LoadWAV(sound);
	if(sounds[lastSound++] == NULL)
	{
		fprintf(stderr, "Unable to load WAV file: %s\n", Mix_GetError());
	}
	return lastSound-1;
}

void SOUNDBANK::playSound(int sound)
{
	fprintf(stderr, "Entering playSound\n");
	
	if(!mute)
	{fprintf(stderr, "Playing Sound %d\n", sound);
		if(sound<lastSound)
		{
			fprintf(stderr, "Calling Mix_PlayChannel\n");
			channel = Mix_PlayChannel(-1, sounds[sound], 0);
			fprintf(stderr, "Called Mix_PlayChannel\n");
			if(channel == -1)
			{
				fprintf(stderr, "Unable to play WAV file: %s\n", Mix_GetError());
			}
		}
		else
		{
			fprintf(stderr, "Sound value too high\n");
		}
	}
	fprintf(stderr, "Leaving Playing Sound\n");
}
